Skip to main content
GET
/
alpha
/
historical
/
{network}
/
{vaultId}
/
daily-flows
Get historical daily vault flows
curl --request GET \
  --url https://api.vaults.fyi/alpha/historical/{network}/{vaultId}/daily-flows \
  --header 'x-api-key: <api-key>'
{
  "itemsOnPage": 123,
  "data": [
    {
      "date": "<string>",
      "totalDeposits": "<string>",
      "totalRedemptions": "<string>",
      "depositCount": 123,
      "redemptionCount": 123,
      "uniqueDepositors": 123,
      "uniqueRedeemers": 123
    }
  ],
  "nextPage": 123
}

Authorizations

x-api-key
string
header
required

Path Parameters

network
enum<string>
required

Include only vaults with provided network(name or CAIP)

Available options:
mainnet,
optimism,
arbitrum,
polygon,
gnosis,
base,
unichain,
swellchain,
celo,
worldchain,
berachain,
ink,
bsc,
hyperliquid,
plasma,
avalanche,
katana,
linea,
mega-eth,
monad,
etherlink,
eip155:1,
eip155:10,
eip155:42161,
eip155:137,
eip155:100,
eip155:8453,
eip155:130,
eip155:1923,
eip155:42220,
eip155:480,
eip155:80094,
eip155:57073,
eip155:56,
eip155:999,
eip155:9745,
eip155:43114,
eip155:747474,
eip155:59144,
eip155:4326,
eip155:143,
eip155:42793
vaultId
string
required

Vault id of the vault for which the data will be returned

Query Parameters

page
integer
default:0

Page number (starting from 0)

Required range: x >= 0
perPage
integer
default:100

Number of items per page

Required range: 0 < x <= 366
fromDate
string
required

UTC start date, inclusive, in YYYY-MM-DD format

Pattern: ^\d{4}-\d{2}-\d{2}$
toDate
string
required

UTC end date, exclusive, in YYYY-MM-DD format

Pattern: ^\d{4}-\d{2}-\d{2}$

Response

Daily vault deposit and redemption flows, paginated by UTC date

Daily vault deposit and redemption flows, paginated by UTC date

itemsOnPage
integer
required

Number of items on the current page

data
object[]
required
nextPage
integer

Next page number